<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: /home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('cli_8py.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">cli.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="cli_8py_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacepyspottedunipd_1_1cli"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1cli.html">pyspottedunipd.cli</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7af31852b7daec4adf1fb2ad27f24d06"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1cli.html#a7af31852b7daec4adf1fb2ad27f24d06">pyspottedunipd.cli.create_args</a> ()</td></tr>
<tr class="separator:a7af31852b7daec4adf1fb2ad27f24d06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae805eb6070caae403075af9e5c4cbff2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1cli.html#ae805eb6070caae403075af9e5c4cbff2">pyspottedunipd.cli.parse_args</a> (parser)</td></tr>
<tr class="separator:ae805eb6070caae403075af9e5c4cbff2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17ca67f11bf5d5f848e056fc9fb67966"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1cli.html#a17ca67f11bf5d5f848e056fc9fb67966">pyspottedunipd.cli.check_args</a> (token, min_post_count, format_out, path_out)</td></tr>
<tr class="separator:a17ca67f11bf5d5f848e056fc9fb67966"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef953fffa3d31c43383a1c267769da88"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1cli.html#aef953fffa3d31c43383a1c267769da88">pyspottedunipd.cli.main</a> ()</td></tr>
<tr class="separator:aef953fffa3d31c43383a1c267769da88"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:af1835d3a86820dbe36529b5de3dc5a5b"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1cli.html#af1835d3a86820dbe36529b5de3dc5a5b">pyspottedunipd.cli.AVAILABLE_OUTPUT_FORMATS</a> = [&quot;json&quot;, &quot;csv&quot;]</td></tr>
<tr class="separator:af1835d3a86820dbe36529b5de3dc5a5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affdb4554353d0a89a69903d4ecd3ac73"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1cli.html#affdb4554353d0a89a69903d4ecd3ac73">pyspottedunipd.cli.SPOTTED_UNIPD_PAGE_ID</a> = &quot;471034402958762&quot;</td></tr>
<tr class="separator:affdb4554353d0a89a69903d4ecd3ac73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa86d390cf9aefcc0542044cc62a4a4b6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1cli.html#aa86d390cf9aefcc0542044cc62a4a4b6">pyspottedunipd.cli.NUMBER_OF_POSTS_TO_FETCH</a> = 5000</td></tr>
<tr class="separator:aa86d390cf9aefcc0542044cc62a4a4b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_cadfa51a49c9afcc310fa35ae151bb00.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="cli_8py.html">cli.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
